APINetwork management

Update allocation notes

Updates the notes for a specific server allocation

Updates the notes for a specific server allocation

POST
/api/client/servers/{server}/network/allocations/{allocation}

Authorization

bearerAuth
AuthorizationBearer <token>

Enter your API token in the format: Bearer {token}

In: header

Path Parameters

server*string

Server UUID

Formatuuid
allocation*integer

Allocation ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/client/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08/network/allocations/0" \  -H "Content-Type: application/json" \  -d '{}'
{
  "object": "allocation",
  "attributes": {
    "id": 0,
    "ip": "string",
    "ip_alias": "string",
    "port": 0,
    "notes": "string",
    "is_default": true
  }
}
Empty
Empty
Empty
Empty